# RCSid:
#	$Id: basename.pl,v 1.4 2001/08/30 09:56:00 sjg Exp $
#
#	@(#) Copyright (c) 1993 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

sub basename {
  local($file,$ext) = @_;

  $file = "./$file";
  $file =~ s,.*/,,;
  if ($ext ne '') {
    $ext =~ s,\.,\\.,;
    $file =~ s,$ext$,,;
  }
  $file;
}

sub abs_dir {
  local($dir) = @_;

  if ($dir !~ m,^/,) {
    chop($dir = `cd $dir; pwd`);
  }
  $dir;
}

sub dirname {
  local($dir,$abs) = @_;

  $dir =~ s,/*[^/]+$,,;
  $dir = '.' if ($dir eq '');
  $dir = &abs_dir($dir) if ($abs ne '');
  $dir;
}

1;
